1. Query unpaid bills by accountNo

POST /api/merchant/queryUnpaidBillsByAccountNo

Alipay use this interface to initiate a account query to merchant.

This API call typically occurs in scenarios where:

  • The user enter 『Bills & Utilities』

Request parameters

openId string  

ID of AlipayHK user.

For keys 「openId」 & 「userId」, one of them must have content

userId string  

ID of AlipayHK user.

For keys 「openId」 & 「userId」, one of them must have content

accountId string  REQUIRED

ID of merchant's user.

merchantId(deprecated) string  REQUIRED

An unique ID for merchantId

merchantAccountId string  REQUIRED

An unique ID for merchantId

subMerchantId string  

An unique ID for subMerchantId

Response parameters

result object  REQUIRED

Result of response

Show child parameters

openId string  REQUIRED

ID of AlipayHK user.

accountId string  REQUIRED

ID of merchant's user.

autoDebitStatus string  REQUIRED

Whether activate automatic debit.

  • AUTO_DEBIT : automatic debit is active
  • UN_AUTO_DEBIT: automatic debit is not active

accountExtInfo string  

Account extra information.

e.g. mobile data, plan detail...

e.g. "{\"contractRenewalStatus\":\"true\"}"

bills Array<object>  REQUIRED

Show child parameters
API Explorer

Request

Request Body

Response

Response Body